#
# spec file for package compiz-plugins-extra
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _rev    b53eb95252331d53b42231778f55de44
Name:           compiz-plugins-extra
Version:        0.8.18
Release:        1.24
Summary:        OpenGL window and compositing manager community extra plugins
License:        GPL-2.0-or-later
URL:            https://gitlab.com/compiz/compiz-plugins-extra
Source:         https://gitlab.com/compiz/compiz-plugins-extra/uploads/%{_rev}/%{name}-%{version}.tar.xz
# PATCH-FEATURE-OPENSUSE dimstar@opensuse.org -- Define some sane standards for the extra plugins.
Patch0:         compiz-plugins-extra-defaults.diff
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bcop) < 0.9
BuildRequires:  pkgconfig(cairo) >= 1.0
BuildRequires:  pkgconfig(compiz) < 0.9
BuildRequires:  pkgconfig(compiz-animation) < 0.9
BuildRequires:  pkgconfig(compiz-cube) < 0.9
BuildRequires:  pkgconfig(compiz-mousepoll) < 0.9
BuildRequires:  pkgconfig(compiz-scale) < 0.9
BuildRequires:  pkgconfig(compiz-text) < 0.9
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libnotify)
Requires:       compiz < 0.9
Requires:       compiz-plugins-main < 0.9
Provides:       compiz-fusion-plugins-extra = %{version}
Obsoletes:      compiz-fusion-plugins-extra < %{version}
ExcludeArch:    s390 s390x

%description
This package contains the community extra Compiz compositing
manager plugins.

Contains: addhelper crashhandler extrawm firepaint goto-viewport
mswitch scalefilter splash bench cubereflex fadedesktop gears group
mblur reflex showdesktop trailfocus.

%lang_package

%package devel
Summary:        OpenGL window and compositing manager community extra plugins
Requires:       %{name} = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(bcop) < 0.9
Requires:       pkgconfig(cairo)
Requires:       pkgconfig(compiz) < 0.9
Requires:       pkgconfig(compiz-animation) < 0.9
Requires:       pkgconfig(compiz-cube) < 0.9
Requires:       pkgconfig(compiz-mousepoll) < 0.9
Requires:       pkgconfig(compiz-scale) < 0.9
Requires:       pkgconfig(compiz-text) < 0.9
Requires:       pkgconfig(gl)
Requires:       pkgconfig(libnotify)
Provides:       compiz-fusion-plugins-extra-devel = %{version}
Obsoletes:      compiz-fusion-plugins-extra-devel < %{version}

%description devel
This package contains the community extra Compiz compositing
manager plugins.

This package contain development files required for developing
other plugins.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
  --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/compiz/*
%{_datadir}/compiz/*

%files lang -f %{name}.lang

%files devel
%{_includedir}/compiz/compiz-*.h
%{_libdir}/pkgconfig/compiz-*.pc

%changelog
* Sat Apr  4 2020 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 0.8.18:
  * Add workspacenames plugin (migrated from -experimental).
  * Add a contrast differentiation mode in ADDHelper.
  * showmouse: add option to initiate automatically on startup.
  * First attempt at writing a plugin showing speech synthesis:
    highlightcontent.
  * grid: Fix issues with cycling through window sizes caused by
    extents.
  * Fix grid bug that prevented certain windows (Chromium-based,
    others) from updating properly.
  * Fix up DEBUG calls to refer to correct variables.
  * Fix make distcheck command.
  * showmouse: Fix behaviour with particles activation setting.
  * showmouse: Fix toggling crosshairs while active.
  * showmouse: Rewrite crosshair drawing to be affected by neg and
    colorfilter.
  * wallpaper: Fix a calloc call.
  * Add and improve the bell plugin imported from
    https://github.com/CarterWeron/compiz-bell-plugin
  * Update translations.
* Sat Feb 22 2020 Alexei Sorokin <sor.alexei@meowr.ru>
- Drop support for old openSUSE versions.
* Sun Nov 11 2018 sor.alexei@meowr.ru
- Update to version 0.8.16:
  * Introduce auto fade and directory support in wallpaper plugin.
  * Add vidcap plugin.
  * Import icons from ccsm.
  * Grid improvements.
  * Add support for gtk frame extents.
  * Add new crosshair mode to showmouse.
- Add a licence file to the package.
* Tue Apr 18 2017 sor.alexei@meowr.ru
- Update to version 0.8.14:
  * Notification improvements.
  * Fix a potential crash in animationaddon when restarting Compiz.
  * Backport the Grid snap feature.
  * Update catalan translation.
- Workaround /usr/@DATADIRNAME@/locale/ on openSUSE Leap 42.1 and
  older.
* Sun Apr 10 2016 sor.alexei@meowr.ru
- Update to version 0.8.12.1:
  * Include autogen.sh into the tarball.
  * Remove Gtk2 requirement from libnotify plugin.
* Sat Feb 13 2016 sor.alexei@meowr.ru
- Update to 0.8.12:
  * Add font family configuration in Group/Tab (Tabbar font), and
    Scale title filter plugins.
- Only exclude s390 and s390x architectures.
* Sat Dec 19 2015 sor.alexei@meowr.ru
- Use a better upstream tarball.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Update to 0.8.9.
- Add compiz-plugins-extra-lang.
- Update dependencies.
- Spec cleanup.
- Add ARM to "ExclusiveArch".
* Thu May 31 2012 ku.b@gmx.de
- set format license correctly
* Thu Apr 28 2011 robertherb@arcor.de
- Update to version 0.8.8
* Tue Mar 30 2010 dimstar@opensuse.org
- Update to version 0.8.6
  + bug fix release
  + Keep version in sync with compiz.
* Mon Nov 23 2009 dimstar@opensuse.org
- Update to version 0.8.4
- Rename package to compiz-plugins-extra, obsolete old name
- Drop NOMAD patches
- Clean spec file using spec-cleaner.
* Mon Apr 20 2009 crrodriguez@suse.de
- use --disable-static instead of removing static libraries
* Fri Dec  5 2008 davidr@novell.com
- Handle non top-level windows properly in cubeaddon plugin.
* Thu Dec  4 2008 davidr@novell.com
- Fix nomad crash in deformation code of cubeaddon plugin.
* Tue Nov 18 2008 davidr@novell.com
- Update NOMAD patch to track changes to NOMAD patch
  for compiz core.
* Mon Sep 29 2008 rodrigo@novell.com
- Review and merge changes from X11:Compiz
* Fri Sep 19 2008 cyberorg@opensuse.org
- Patch compiz-plugins-extra-defaults.diff
* Wed Sep 17 2008 cyberorg@opensuse.org
- Release 0.7.8
- New animationaddon plugin
- l10n updates
- Fix a lot of mem leaks
- Merged cubecaps plugin functianality
- Add -devel package
* Tue Jul  1 2008 mhopf@suse.de
- Update from buildservice.
* Sat May 31 2008 cyberorg@opensuse.org
- New plugin: Cube Addon, a merge of Cube Reflections and Cube Caps, adding
  new Cylinder and Sphere deformations
- New plugin: Wallpaper, sets unique wallpapers per viewport. Replaces the
  Background images functionality in Desktop Cube.
* Sun May  4 2008 cyberorg@opensuse.org
- add libnotify build requirement.
* Mon Apr 14 2008 mhopf@suse.de
- Update from buildservice.
* Thu Apr  3 2008 cyberorg@cyberorg.info
- 0.7.4 release
- new bicubic plugin
- Add option to ignore windows overlapping too much
- Enable 3d only if s->hsize is bigger than 2
- ActivateWindow is now wrappable
* Fri Mar  7 2008 cyberorg@opensuse.org
- 0.7.2 development release
- 3d: Adds depth to your desktop by raising windows in layers off the cube
- loginout: Provides a simple system to implement login and logout animations
- maximumize: Resizes a window to fit within the available empty screen space
- notification: Displays error messages on the screen with libnotify
- shelf: Shrinks a window to a preset size for monitoring many windows at once
- showmouse: Paints particle emitters that orbit the mouse pointer to make it
  more visible
* Sat Feb 23 2008 cyberorg@cyberorg.info
- remove provides/obsoletes, fixes bnc #362640
* Fri Feb  8 2008 cyberorg@cyberorg.info
- sync to latest git
- BiswajyotiM's fishes and corals in cube
- New plugins shelf, maximumize, loginout, showmouse, and notification
- 3D plugin with colored sides
* Tue Dec  4 2007 cyberorg@cyberorg.info
- sync to latest git
- atlantis now with water and crabs
* Tue Oct 16 2007 cyberorg@cyberorg.info
- Update to release 0.6.0
* Fri Aug 24 2007 cyberorg@cyberorg.info
- Sync to the latest git.
- new action settings rework
- Remove screensaver plugin
* Wed Aug 22 2007 cyberorg@cyberorg.info
- Add %%post and %%postun to run ldconfig- shut rpmlint up
* Mon Aug 13 2007 cyberorg@cyberorg.info
- Update to 0.5.2 release.
- New plugin - widget
- Add missing artwork
* Mon Aug  6 2007 dreveman@suse.de
- Initial version of package
